/**
 *
 * Copyright (c) 2011-2018 Dirk Wildt
 * http://wildt.at.die-netzmacher.de/
 *
 * Version 0.0.8
 * browser/Resources/Public/JavaScript/jQuery/tx_browser_pi1-csvExport.js
 * plugin.tx_browser_pi1.javascript.jquery.plugins.csvExport
 * @internal #i0371
 * 
 */

var cUid = "c###TT_CONTENT.UID###";
var mode = "###MODE###";
var t3browserAlert = "###T3BROWSERALERT###";
var typenumCsv = "###TYPENUM_CSV###";
var idButton = cUid + "-list-submit-csv-export-" + mode;
var idForm = cUid + "-list-searchbox-form-" + mode;
var idTypenum = cUid + "-type-" + mode;

// User has clicked the CSV export button
$(document).on("click", "#" + idButton, function (e) {

	// RETURN selected form with fieldset isn't part of the DOM
	if (!$("#" + idForm + "  fieldset").length)
	{
		// Don't execute the click
		e.preventDefault( );
		if (t3browserAlert)
		{
			alert("ERROR: The selector \"#" + idForm + " fieldset\" isn't part of the DOM!");
		}
		return;
	}

	// Append the TYPO3 typeNum of the csv export page object
	$("#" + idForm + "  fieldset")
					.append(
									'<input id="' + idTypenum + '" type="hidden" name="type" value="###TYPENUM_CSV###" />'
									);
	bool_sendAjaxRequest = false;

	// Remove the hidden field after submitting the form
	$("#" + idButton).blur(
					function (e)
					{
						$("#" + idTypenum).remove( )
						bool_sendAjaxRequest = true;
					}
	);
});