plugin.tx_browser_pi1 {

  javascript {
      // library, plugins, ui, cleanup
    jquery =
    jquery {
        // t3browser
      plugins =
      plugins {
					// internal #i0371
				csvExport =
        csvExport {
          library = {$plugin.tx_browser_pi1.csv.library}
          library {
						enabled = {$plugin.tx_browser_pi1.csv.enable}
              // [Boolean] 1 (default): place JSS scripts in the footer section
            footer = {$plugin.tx_browser_pi1.jQuery.plugins.placement.footer}
              // [Boolean] 0: link to the script file, 1 (default): include the script inline
            inline = 1
            marker {
              t3browseralert = TEXT
              t3browseralert {
                value = {$plugin.tx_browser_pi1.jQuery.debugging.alerts.enable}
              }
              typenum_csv = TEXT
              typenum_csv {
                value = {$plugin.tx_browser_pi1.typeNum.csvPageObj}
              }
            }
          }
        }
        t3browser {
        // [STRING] Path to jQuery library
            // [String] Path to the jss file of the t3browser plugin
          plugin = {$plugin.tx_browser_pi1.jss.library}
          plugin {
						enabled = {$plugin.tx_browser_pi1.jss.enable}
              // [Boolean] 1 (default): place JSS scripts in the footer section
            footer = {$plugin.tx_browser_pi1.jQuery.plugins.placement.footer}
              // [Boolean] 0 (default): link to the script file, 1: include the script inline
            inline = 0
          }
          library = EXT:browser/Resources/Public/JavaScript/jQuery/tx_browser_pi1-0.0.8.js
          library {
              // [Boolean] 1 (default): place JSS scripts in the footer section
            footer = {$plugin.tx_browser_pi1.jQuery.plugins.placement.footer}
              // [Boolean] 0: link to the script file, 1 (default): include the script inline
            inline = 1
            marker {
              ajax_url_single = TEXT
              ajax_url_single {
                dataWrap = {getIndpEnv:TYPO3_SITE_URL}|
                typolink {
                  parameter = {page:uid},{$plugin.tx_browser_pi1.typeNum.ajaxPageObj}
                  parameter {
                    insertData = 1
                  }
                  //additionalParams = &tx_browser_pi1[showUid]=###SHOWUID###&###CHASH###
                  additionalParams = &tx_browser_pi1[showUid]={GP:tx_browser_pi1|showUid}
                  additionalParams {
                    insertData = 1
                  }
                  returnLast = url
                }
              }
                // Enable/Disable JSS alerts
              t3browseralert = TEXT
              t3browseralert {
                value = {$plugin.tx_browser_pi1.jQuery.debugging.alerts.enable}
              }
              typenum_ajax = TEXT
              typenum_ajax {
                value = {$plugin.tx_browser_pi1.typeNum.ajaxPageObj}
              }
              typenum_csv = TEXT
              typenum_csv {
                value = {$plugin.tx_browser_pi1.typeNum.csvPageObj}
              }
            }
          }
            // [STRING] Path to the jss file of the t3browser localisation. ###LANG### will be replacedwhile runtime
          localisation = EXT:browser/Resources/Public/JavaScript/jQuery/plugins/jquery.t3browser/localisation.###LANG###.js
          localisation {
              // [Boolean] 1 (default): place JSS scripts in the footer section
            footer = {$plugin.tx_browser_pi1.jQuery.plugins.placement.footer}
              // [Boolean] 0 (default): link to the script file, 1: include the script inline
            inline = 0
          }
        }
      }
    }
    ajax {
        // [STRING] Path to Javascript file with ajax methods
      file    = EXT:browser/Resources/Public/JavaScript/tx_browser_pi1_ajax-0.0.5.js
      file {
          // [Boolean] 1 (default): place JSS scripts in the footer section
        footer = {$plugin.tx_browser_pi1.jQuery.plugins.placement.footer}
          // [Boolean] 0 (default): link to the script file, 1: include the script inline
        inline = 0
      }
        // [STRING] Path to Javascript file with ajax language values
      fileLL  = EXT:browser/Resources/Public/JavaScript/tx_browser_pi1_ajax_languages.js
      fileLL {
          // [Boolean] 1 (default): place JSS scripts in the footer section
        footer = {$plugin.tx_browser_pi1.jQuery.plugins.placement.footer}
          // [Boolean] 0 (default): link to the script file, 1: include the script inline
        inline = 0
      }
      html {
        marker {
            // [STRING / UPPERCASE] Name of the class in CHECKBOX, RADIOBUTTONS, SELECTBOX.
          ajax_onchange = ONCHANGE
        }
      }
        // [PAGE] page object
      page = PAGE
      page {
        typeNum = 0
        config {
          disableAllHeaderCode  = 1
          xhtml_cleaning        = 0
          admPanel              = 0
        }
        10 = CONTENT
        10 {
          table = tt_content
          select {
              // only use current page
            pidInList     = this
              // only use current language
            languageField = sys_language_uid
						  // #i0451, 181002, dwildt, 1-/+
            //andWhere {
            where {
              cObject = COA
              cObject {
                  // choose all Browser plugins...
                10 = TEXT
                10 {
                  value = list_type = 'browser_pi1'
                }
                  // if an UID is provided in the querystring, choose only that plugin
                20 = TEXT
                20 {
                  // #i0170, 150430, dwildt, 1-
                  //data = GP:tx_browser_pi1|plugin
                  // #i0170, 150430, dwildt, 4+
                  stdWrap {
                    data    = GP:tx_browser_pi1|plugin
                    intval  = 1
                  }
                  if {
                    isTrue {
                      data = GP:tx_browser_pi1|plugin
                    }
                  }
                  outerWrap = AND uid = |
                }
              }
            }
          }
        }
      }
      jQuery {
          // [PAGE] page object II
        default = PAGE
        default {
          typeNum = {$plugin.tx_browser_pi1.typeNum.ajaxPageObj}
          config {
            disableAllHeaderCode  = 1
            xhtml_cleaning        = 0
            admPanel              = 0
            metaCharset           = UTF-8
          }
          10 < styles.content.get
        }
        en < .default
        en {
          config {
              // [Integer] Uid of the language. See record in sys_language
            sys_language_uid      = {$plugin.tx_browser_pi1.typeNum.sys_language_en}
              // [Keyword] page: content_fallback, strict, ignore
            sys_language_mode     = content_fallback
              // [Boolean / Keyword] records: 0, 1, hideNonTranslated
            sys_language_overlay  = 1
            language              = en
            locale_all            = en_GB
            htmlTag_langKey       = en
          }
          10 < styles.content.get
        }
        de < .en
        de {
          config {
              // [Integer] Uid of the language. It has to corresponded with the id of the record in sys_language
            sys_language_uid      = {$plugin.tx_browser_pi1.typeNum.sys_language_de}
            language              = de
            locale_all            = de_DE
            htmlTag_langKey       = de
          }
        }
        fr < .en
        fr {
          config {
              // [Integer] Uid of the language. It has to corresponded with the id of the record in sys_language
            sys_language_uid      = {$plugin.tx_browser_pi1.typeNum.sys_language_fr}
            language              = fr
            locale_all            = fr_FR
            htmlTag_langKey       = fr
          }
        }
        it < .en
        it {
          config {
              // [Integer] Uid of the language. It has to corresponded with the id of the record in sys_language
            sys_language_uid      = {$plugin.tx_browser_pi1.typeNum.sys_language_it}
            language              = it
            locale_all            = it_IT
            htmlTag_langKey       = it
          }
        }
        es < .en
        es {
          config {
              // [Integer] Uid of the language. It has to corresponded with the id of the record in sys_language
            sys_language_uid      = {$plugin.tx_browser_pi1.typeNum.sys_language_es}
            language              = es
            locale_all            = es_ES
            htmlTag_langKey       = es
          }
        }
      }
    }
    general {
        // [STRING] Path to Javascript file general methods
      file = EXT:browser/Resources/Public/JavaScript/tx_browser_pi1.js
      file {
          // [Boolean] 1 (default): place JSS scripts in the footer section
        footer = {$plugin.tx_browser_pi1.jQuery.plugins.placement.footer}
          // [Boolean] 0 (default): link to the script file, 1: include the script inline
        inline = 0
      }
    }
  }
}